<?php

declare(strict_types=1);

namespace Seka\Vzdelavanie\Http\Livewire\Components;

use Livewire\Component;
use Illuminate\Contracts\View\View;
use Seka\Vzdelavanie\Models\Pouzivatel\Testovanie\StavVyhodnoteniaTestuEnum;

/**
 * Class Stav
 *
 * @package Seka\Vzdelavanie\Http\Livewire\Components
 */
final class Stav extends Component
{
    /**
     * @var StavVyhodnoteniaTestuEnum[]
     */
    private array $states;

    /**
     *
     */
    public function mount(): void
    {
        $this->states = StavVyhodnoteniaTestuEnum::toArray();
    }

    /**
     * @return \Illuminate\Contracts\View\View
     * @throws \Illuminate\Contracts\Container\BindingResolutionException
     */
    public function render(): View
    {
        return view('Vzdelavanie::livewire.components.stav');
    }

    /**
     * @return \Seka\Objednavky\Models\Objednavka\Stav[]
     */
    public function states(): array
    {
        return $this->states;
    }
}
